summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-22 23:29:47 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-22 23:29:47 +0000
commit1d2efa54d6c6e4c6344701ae72c628dbdbed8cd1 (patch)
treefda5bc2f371a6fd4e1fd314971f1e33fac3bb47f /games-rpg/indy4-demo
parentgames-rpg/samnmax-demo: New ebuild for bug 142331 (diff)
downloadsunrise-1d2efa54d6c6e4c6344701ae72c628dbdbed8cd1.tar.gz
sunrise-1d2efa54d6c6e4c6344701ae72c628dbdbed8cd1.tar.bz2
sunrise-1d2efa54d6c6e4c6344701ae72c628dbdbed8cd1.zip
games-rpg/indy4-demo: New ebuild for bug 142328
svn path=/sunrise/; revision=4482
Diffstat (limited to 'games-rpg/indy4-demo')
-rw-r--r--games-rpg/indy4-demo/ChangeLog8
-rw-r--r--games-rpg/indy4-demo/Manifest5
-rw-r--r--games-rpg/indy4-demo/files/digest-indy4-demo-13
-rw-r--r--games-rpg/indy4-demo/files/indy4-demo.pngbin0 -> 463 bytes
-rw-r--r--games-rpg/indy4-demo/indy4-demo-1.ebuild34
-rw-r--r--games-rpg/indy4-demo/metadata.xml5
6 files changed, 55 insertions, 0 deletions
diff --git a/games-rpg/indy4-demo/ChangeLog b/games-rpg/indy4-demo/ChangeLog
new file mode 100644
index 000000000..d72eb060b
--- /dev/null
+++ b/games-rpg/indy4-demo/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-rpg/indy4-demo
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 22 Aug 2007; Nathan Egge (unlord) <nathanegge@yahoo.com>
+ +files/indy4-demo.png, +metadata.xml, +indy4-demo-1.ebuild:
+ New ebuild for bug 142328
+
diff --git a/games-rpg/indy4-demo/Manifest b/games-rpg/indy4-demo/Manifest
new file mode 100644
index 000000000..312ec7ab1
--- /dev/null
+++ b/games-rpg/indy4-demo/Manifest
@@ -0,0 +1,5 @@
+AUX indy4-demo.png 463 RMD160 424b4cfc71448d7e43cb7481b57f612a35128ef9 SHA1 5295926e44e673b298d189b43cc6b2975f503ae5 SHA256 8be726d66bd7a0a14ebd0b24fb84d0968f2d5ffceb60e1eff11443c87f29f5f3
+DIST indy4-demo.rar 665690 RMD160 31ea7c2a82beda1772a4314bb27e1f97f0cda880 SHA1 5cc30cbcb27412292923f23614d8a3fe07871dfd SHA256 b0a3c36fc27381257264c6ab1c93173f755953416b81a66d347dcf5d84649383
+EBUILD indy4-demo-1.ebuild 876 RMD160 ca20cd7d4b6614e1e5c04be9b418ae9b0a2ba684 SHA1 9205a781db80398c2ac11926fa05a6656a5a82a3 SHA256 c9b0991eb6013af0d27a42610005043ae643139a6520081730ff898de8b2519c
+MISC ChangeLog 271 RMD160 2b640a92fecabcd9cbb7c04fe1d11ab1e2d2dfa5 SHA1 58f99dd5262abebcb56c461cb60e795e984d2c89 SHA256 a0767436e7935df7fded302a8d41f380e24e2ca04c22b1e3205de25ccf0b3abf
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-rpg/indy4-demo/files/digest-indy4-demo-1 b/games-rpg/indy4-demo/files/digest-indy4-demo-1
new file mode 100644
index 000000000..d980c152f
--- /dev/null
+++ b/games-rpg/indy4-demo/files/digest-indy4-demo-1
@@ -0,0 +1,3 @@
+MD5 ef606a62ed24c3377148cb4a2e060db0 indy4-demo.rar 665690
+RMD160 31ea7c2a82beda1772a4314bb27e1f97f0cda880 indy4-demo.rar 665690
+SHA256 b0a3c36fc27381257264c6ab1c93173f755953416b81a66d347dcf5d84649383 indy4-demo.rar 665690
diff --git a/games-rpg/indy4-demo/files/indy4-demo.png b/games-rpg/indy4-demo/files/indy4-demo.png
new file mode 100644
index 000000000..d7ef77eb4
--- /dev/null
+++ b/games-rpg/indy4-demo/files/indy4-demo.png
Binary files differ
diff --git a/games-rpg/indy4-demo/indy4-demo-1.ebuild b/games-rpg/indy4-demo/indy4-demo-1.ebuild
new file mode 100644
index 000000000..49b84186d
--- /dev/null
+++ b/games-rpg/indy4-demo/indy4-demo-1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="Indiana Jones and the Fate of Atlantis (interactive demo)"
+HOMEPAGE="http://www.theindyexperience.com/video_games/fate_of_atlantis_graphic_adventure.php"
+SRC_URI="http://gentooexperimental.org/~unlord/${PN}.rar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.8.2"
+DEPEND="|| (
+ app-arch/unrar
+ app-arch/rar )"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+ doins PLAYFATE.{000,001} || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" atlantis"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Indiana Jones and the Fate of Atlantis (Demo)" ${PN}.png
+
+ prepgamesdirs
+}
diff --git a/games-rpg/indy4-demo/metadata.xml b/games-rpg/indy4-demo/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-rpg/indy4-demo/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>